import images from '@/assets/images/images';
import InnerPageBanner from '@/components/layout/innerPages/banner';
import PostsGrid from '@/components/pages/blog/PostsGrid';
import { IPageParams } from '@/models/layout';
import { getTranslations } from 'next-intl/server';

export default async function Blog({ params }: { params: IPageParams }) {
  const paramsData = await params;
  const t = await getTranslations({ locale: paramsData.locale });

  return (
    <main className="flex flex-col items-center justify-between">
      <InnerPageBanner
        title={t('pages_blog_title')}
        imageSrc={images.blogBanner.src}
      />

      <PostsGrid />
    </main>
  );
}
